All Resources All filters

# PasswordEditor

This resource provides a mean for web site users to change their own password within a given realm.

Warning: for obvious security reasons, when installed, that resource should be protected within the realm it edits.

## Inherits

The PasswordEditor class inherits from the following classes:

- PostableResource

## Attributes description

The PasswordEditor defines the following attributes:

- realm

`realm`

semantics
  The realm within which user passwords should be edited when that resource is running. If undefined, the resource will emit an error in Jigsaw error log
type
  This attribute is a mandatory StringAttribute.
default value
  This attribute has no default value.

Jigsaw Team
$Id: w3c.jigsaw.contrib.PasswordEditor.html,v 1.2 1996/12/09 03:17:36 jigsaw Exp $